@import url("https://use.typekit.net/fnz1wsi.css");

@font-face {
    font-family: "SecondString";
    src: url("Scripts/TAYSecondString.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}


/* Globals */

h1 {
    font-family: "SecondString";
    font-optical-sizing: auto;
    font-size: 3rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h2 {
    font-family: "SecondString";
    font-optical-sizing: auto;
    font-size: 2.25rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h3 {
    font-family: "avenir-next-lt-pro-condensed", sans-serif;
    font-optical-sizing: auto;
    font-size: 2rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h4 {
    font-family: "avenir-next-lt-pro-condensed", sans-serif;
    font-optical-sizing: auto;
    font-size: 1.75rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h5 {
    font-family: "avenir-next-lt-pro-condensed", sans-serif;
    font-optical-sizing: auto;
    font-size: 1.25rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h6 {
    font-family: "avenir-next-lt-pro-condensed", sans-serif;
    font-optical-sizing: auto;
    font-size: 0.8rem;
    font-weight: 700;
    font-style: italic;
    font-variation-settings: "wdth" 100;
}

p {
    font-family: "avenir-next-lt-pro-condensed", sans-serif;
    font-optical-sizing: auto;
    font-size: 1rem;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

html,
body {
    height: 100%;
    margin: 0;
}

body {
    background-color: #F8F0E4;
}

header {
    background-color: #9d3c4e;
    min-height: 200px;
    padding: 0.5rem;
    margin: 0;
}

main {
    min-height: 600px;
}


footer {
    background-color: #3e2722;
    padding: 2rem 1rem;
    margin: 0;
    color: #f8f0e4;
}

footer,
footer a {
    font-family: "SecondString", sans-serif;
    font-size: 2.25rem;
    font-weight: 400;
    font-style: normal;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.footer-nav {
    display: flex;
    justify-content: center;
    gap: 80px;
    margin-bottom: 2rem;
}

.footer-nav a {
    color: #cd5769;
    text-decoration: none;
    font-size: 2rem;
}

.footer-nav a:hover {
    opacity: 0.7;
}



/* Compoments */

.navbar {
    padding: 40px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: 60px;
}


.nav-group {
    background: #C25C68;
    padding: 1rem 1rem;
    border-radius: 50px;
    flex: 1;
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.nav-group a {
    text-decoration: none;
    color: #f099a9;
    font-size: clamp(0.9rem, 2vw, 1.2rem);
    letter-spacing: 0.1rem;
    font-family: "SecondString";
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
    white-space: nowrap;
}

.logo-container {
    flex: 0 0 auto;
    display: flex;
    justify-content: center;
}

.logo {
    height: 160px;
    width: auto;
}

.social-icons {
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}

.social-icons img {
    width: 80px;
    height: 80px;
}

.social-icons .icon:hover {
    opacity: 0.8;
}


/* Utilities */

.container-parent {
    padding: 0 1rem;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}


